# Struct symop_data

- Defined in File symmetry.hpp

## Struct Documentation

struct symop_data

  Helper class to efficiently pack the data that makes up a symmetry operation.

  Public Functions

  inline constexpr symop_data(const std::array<int, 15> &data) noexcept

    constructor

  inline bool operator==(const symop_data &rhs) const

    compare

  inline bool operator<(const symop_data &rhs) const

    sorting order

  inline int unpack3(int offset) const

    return an int representing the value stored in the two bits at offset offset

  inline int unpack7(int offset) const

    return an int representing the value stored in the three bits at offset offset

  inline std::array<int, 15> data() const

    return an array of 15 ints representing the values stored